Bug 694221 - upgrade to more recent release of GWT and SmartGWT
upgrade to more recent release of GWT and SmartGWT
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: John Sanda
Mike Foley
: FutureFeature, Improvement
Depends On: 771406 771417 772069 772259 772681 773662 782453 787239
Blocks: 769382 jon30-sprint10/rhq43-sprint10 jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2011-04-06 14:27 EDT by Ian Springer
Modified: 2013-09-01 06:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:18:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
upgrades GWT from 2.0.4 to 2.2.0 (also upgrades the maven gwt plugin and gwt-log) (6.93 KB, patch)
2011-04-06 14:30 EDT, Ian Springer
no flags Details | Diff
Image of test failures from testrun (68.53 KB, image/png)
2012-01-12 09:11 EST, Mike Foley
no flags Details
image of specific test failure (85.55 KB, image/png)
2012-01-12 09:12 EST, Mike Foley
no flags Details

  None (edit)
Description Ian Springer 2011-04-06 14:27:56 EDT
We're still on GWT 2.0.4, which is getting outdated. Besides all of the bug fixes that have gone in since 2.0.4, there are other features we can leverage such as the safe HTML APIs and the logging API. 

I've tested the upgrade out locally and did not notice any issues while smoke testing the GUI. A patch that does the upgrade is attached.
Comment 1 Ian Springer 2011-04-06 14:29:16 EDT
Note, I'd like to do this right after we release RHQ 4.0, so we have plenty of time to test it before JON 3.0.
Comment 2 Ian Springer 2011-04-06 14:30:44 EDT
Created attachment 490361 [details]
upgrades GWT from 2.0.4 to 2.2.0 (also upgrades the maven gwt plugin and gwt-log)
Comment 3 Ian Springer 2011-05-27 13:18:29 EDT
Note the following from the SmartGWT FAQ:

"Users on Smart GWT 2.4 and older should make sure they have the GWT 2.3 jars before the Smart GWT jars in their classpath. This is not required for Smart GWT 2.5 and later."

It's not possible to specify the order WEB-INF/lib jars are loaded, so we should probably just move up to GWT 2.2, until we have upgraded to SmartGWT 2.5 (not yet released as of today).
Comment 4 Ian Springer 2011-08-08 14:43:06 EDT
SmartGWT 2.5 has been released, so we can now upgrade to GWT 2.3.0 and SmartGWT 2.5.
Comment 5 Charles Crouch 2011-09-30 13:51:32 EDT
FutureFeature Improvement
Comment 6 Charles Crouch 2011-09-30 15:04:03 EDT
removing bad depends
Comment 7 John Mazzitelli 2011-10-25 15:26:55 EDT
when we upgrade, we can then add the <strict>true</strict> (-strict) option to the GWT compiler options in the coregui pom.xml.

This will force the GWT compiler to fail whenever a class cannot be compiled (today, it just spits out an error message but the compile continues and will still successfully complete - we want the build to fail when this happens).
Comment 9 Charles Crouch 2011-12-16 18:35:29 EST
Both gwt 2.4 and smartgwt 3.0 are out now, so updating the bug title
Comment 10 Charles Crouch 2011-12-16 18:40:30 EST
As part of this upgrade we should enable and test out the 508 accessibility features which smartgwt supports:

http://www.smartclient.com/smartgwtee/javadoc/com/smartgwt/client/docs/Accessibility.html
Comment 11 John Sanda 2012-01-03 10:52:41 EST
The upgrade work is being done in the feature/gwt-upgrade branch. Any upgrade related bugs should block this bug.
Comment 12 Mike Foley 2012-01-12 09:10:31 EST
adding attachments of automated test runs and test failures on this branch ....
Comment 13 Mike Foley 2012-01-12 09:11:28 EST
Created attachment 552408 [details]
Image of test failures from testrun
Comment 14 Mike Foley 2012-01-12 09:12:07 EST
Created attachment 552409 [details]
image of specific test failure
Comment 15 Mike Foley 2012-01-12 09:31:47 EST
documenting that there were 47 test failures from the UI Automation testrun on this branch.
Comment 16 Charles Crouch 2012-05-02 18:18:53 EDT
Pushing this to ON_QA since the upgrade is down. Any issues not yet addressed 
have been made to block the general UXD tracking issue, bug 735475.
Comment 18 Heiko W. Rupp 2013-09-01 06:18:04 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.